Skip to main content
POST
Exchange an authorization code for an access token. Use this endpoint after the user authorizes your app and you receive an authorization code.

Request structure

string
required
Basic authentication using your OAuth client ID and client secret. Format: Basic base64(client_id:client_secret) or use -u flag in cURL.
string
required
Must be authorization_code for this flow.
string
required
The authorization code received from the OAuth redirect after user authorization.
string
required
The redirect URI that was used in the authorization request. Must match exactly.

Response structure

string
required
The access token to use for authenticating API requests. Include in the Authorization: Bearer <access_token> header.
string
required
Always Bearer for access tokens.
integer
required
Number of seconds until the access token expires.
string
required
Token used to obtain a new access token when the current one expires.
string
required
Space-separated list of scopes granted to this token.

Need help?

We are very happy to help you make the most of Blnk, regardless of whether it is your first time or you are switching from another tool. To ask questions or discuss issues, please contact us or join our Discord community.